Bug 21396 - Missing use statements in Koha::Account
Summary: Missing use statements in Koha::Account
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19191 20631
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-21 20:53 UTC by Jonathan Druart
Modified: 2018-11-06 13:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21396: Add 2 missing use statements in Koha::Account (1.16 KB, patch)
2018-09-21 20:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21396: Add 2 missing use statements in Koha::Account (1.20 KB, patch)
2018-09-26 11:59 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21396: Add 2 missing use statements in Koha::Account (1.26 KB, patch)
2018-09-27 11:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
[17.11.x] Bug 21396: Add 2 missing use statements in Koha::Account (888 bytes, patch)
2018-11-06 13:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21396: Fix tests for 17.11 (1.25 KB, patch)
2018-11-06 13:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-09-21 20:53:59 UTC
1. require C4::Letters must be use C4::Letters

2. There is call to C4::Circulation::ReturnLostItem, but no use of C4::Circulation
Comment 1 Jonathan Druart 2018-09-21 20:57:38 UTC
Created attachment 79255 [details] [review]
Bug 21396: Add 2 missing use statements in Koha::Account

1. require C4::Letters must be use C4::Letters (from bug 19191)

2. There is call to C4::Circulation::ReturnLostItem, but no use of
C4::Circulation (from bug 20631)

Test plan:
finger crossed, I ran the tests from t/db_dependent/Koha and they all
passed
Comment 2 Michal Denar 2018-09-26 11:59:14 UTC
Created attachment 79407 [details] [review]
Bug 21396: Add 2 missing use statements in Koha::Account

1. require C4::Letters must be use C4::Letters (from bug 19191)

2. There is call to C4::Circulation::ReturnLostItem, but no use of
C4::Circulation (from bug 20631)

Test plan:
finger crossed, I ran the tests from t/db_dependent/Koha and they all
passed

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2018-09-27 11:57:58 UTC
Created attachment 79486 [details] [review]
Bug 21396: Add 2 missing use statements in Koha::Account

1. require C4::Letters must be use C4::Letters (from bug 19191)

2. There is call to C4::Circulation::ReturnLostItem, but no use of
C4::Circulation (from bug 20631)

Test plan:
finger crossed, I ran the tests from t/db_dependent/Koha and they all
passed

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-09-28 19:58:00 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-03 09:33:02 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Jonathan Druart 2018-10-03 11:17:32 UTC
(In reply to Martin Renvoize from comment #5)
> Pushed to 18.05.x for 18.05.05

This one causes the failing test on Jenkins
koha_1       | Undefined subroutine &C4::Items::ModZebra called at /kohadevbox/koha/C4/Items.pm line 302.
Comment 7 Jonathan Druart 2018-10-03 13:51:16 UTC
(In reply to Jonathan Druart from comment #6)
> (In reply to Martin Renvoize from comment #5)
> > Pushed to 18.05.x for 18.05.05
> 
> This one causes the failing test on Jenkins
> koha_1       | Undefined subroutine &C4::Items::ModZebra called at
> /kohadevbox/koha/C4/Items.pm line 302.

See bug 21133, I have attached a version for 18.05.x
Comment 8 Fridolin SOMERS 2018-10-10 10:03:04 UTC
Bug 19191 nor Bug 20631 in 17.11.x but must it be pushed anyway ?
Comment 9 Jonathan Druart 2018-10-10 12:57:22 UTC
(In reply to Fridolin SOMERS from comment #8)
> Bug 19191 nor Bug 20631 in 17.11.x but must it be pushed anyway ?

If there is the call to ReturnLostItem, yes.
Comment 10 Fridolin SOMERS 2018-11-05 11:54:54 UTC
Ok there is ReturnLostItem,

Pushed to 17.11.x for 17.11.12
Comment 11 Fridolin SOMERS 2018-11-06 08:20:58 UTC
(In reply to Fridolin SOMERS from comment #10)
> Ok there is ReturnLostItem,
> 
> Pushed to 17.11.x for 17.11.12

Ok not OK, it brakes UT 
  t/db_dependent/Members/GetOverdues.t
  t/db_dependent/Members/GetPendingIssues.t

I dont understand why, I revert.
Comment 12 Jonathan Druart 2018-11-06 13:50:30 UTC
Created attachment 81981 [details] [review]
[17.11.x] Bug 21396: Add 2 missing use statements in Koha::Account

1. require C4::Letters must be use C4::Letters (from bug 19191)

2. There is call to C4::Circulation::ReturnLostItem, but no use of
C4::Circulation (from bug 20631)

Test plan:
finger crossed, I ran the tests from t/db_dependent/Koha and they all
passed
Comment 13 Jonathan Druart 2018-11-06 13:50:36 UTC
Created attachment 81982 [details] [review]
Bug 21396: Fix tests for 17.11
Comment 14 Jonathan Druart 2018-11-06 13:51:37 UTC
(In reply to Fridolin SOMERS from comment #11)
> (In reply to Fridolin SOMERS from comment #10)
> > Ok there is ReturnLostItem,
> > 
> > Pushed to 17.11.x for 17.11.12
> 
> Ok not OK, it brakes UT 
>   t/db_dependent/Members/GetOverdues.t
>   t/db_dependent/Members/GetPendingIssues.t
> 
> I dont understand why, I revert.

These test files do no longer exist in master, and so have not been modified by bug 21133.